## libmatroska 0.6.2

=== make/beos/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.1 2003/07/16 15:32:47 robux4 Exp $
# Author: Steve Lhomme <robux4 @ users.sf.net>
# Author: Moritz Bunkus <moritz @ bunkus.org>

# Programs
CXX=g++
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib

# Options
EXTENSION=.cpp
# BeOS only supports gcc2 for now anyway
# (gcc3 is underway)
GCCVERSION := $(shell $(CXX) -dumpversion | cut -b 1)
ifeq (2,$(GCCVERSION))
	LIBEBML_GCC2=-DLIBEBML_GCC2
endif
CXXFLAGS=-g -DDEBUG -Wall -Wno-unknown-pragmas $(LIBEBML_GCC2) -DWRITE_EVEN_UNSET_DATA
LDFLAGS=-L.

SRC_DIR=../../src/
MUX_SRC_DIR=../../test/mux/

# Librarires
INCLUDE=-I${SRC_DIR}
LIBS=
MUX_LIBS=-lmatroska

# Names
LIBRARY=libmatroska.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.hpp,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

all: $(LIBRARY) test

# Build rules
%.o: %$(EXTENSION)
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(LIBRARY): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:
	rm -f ${SRC_DIR}$(objects)
	rm -f ${SRC_DIR}$(dependencies)
	rm -f ${SRC_DIR}$(LIBRARY)
	rm -f CORE
	rm -f test6 test8

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

test: test6 test8

test6:	$(MUX_SRC_DIR)test6.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

$(MUX_SRC_DIR)test6.o: $(MUX_SRC_DIR)test6.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

test8:	$(MUX_SRC_DIR)test8.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

$(MUX_SRC_DIR)test8.o: $(MUX_SRC_DIR)test8.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<


# DO NOT DELETE

=== make/linux/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile,v 1.4 2003/10/15 20:34:24 mosu Exp $
# Author: Steve Lhomme <robux4 @ users.sf.net>
# Author: Moritz Bunkus <moritz @ bunkus.org>

#
# The library is built without debug information. If you want
# debug information to be included then compile with
# 'make DEBUG=yes'.
#

# Paths
prefix=/usr/local
libdir=$(prefix)/lib
includedir=$(prefix)/include/matroska

# Programs
CXX=g++
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib
INSTALL = install
INSTALL_OPTS = -m 644
INSTALL_OPTS_LIB = -m 644
INSTALL_DIR_OPTS = -m 755

CWD=$(shell pwd)

# Options
LIBEBML_INCLUDE_DIR=$(CWD)/../../../libebml
LIBEBML_LIB_DIR=$(CWD)/../../../libebml/make/linux
EXTENSION=.cpp

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CXXFLAGS=$(DEBUGFLAGS) -Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -D_GNU_SOURCE
LDFLAGS=-L. -L$(LIBEBML_LIB_DIR)

SRC_DIR=$(CWD)/../../src/
INCLUDE_DIR=$(CWD)/../../matroska
MUX_SRC_DIR=$(CWD)/../../test/mux/
TAG_SRC_DIR=$(CWD)/../../test/tags/

# Librarires
INCLUDE=-I$(CWD)/../.. -I$(LIBEBML_INCLUDE_DIR)
LIBS=
MUX_LIBS=-lmatroska -lebml $(LIBICONV)

# Names
LIBRARY=libmatroska.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.h,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

all: $(LIBRARY) test

lib library: $(LIBRARY)

# Build rules
%.o: %$(EXTENSION)
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(LIBRARY): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:	cleantest
	rm -f $(objects)
	rm -f $(dependencies)
	rm -f $(LIBRARY)
	rm -f CORE

cleantest:
	rm -f test6 test8 test9 test6.o test8.o test9.o

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

test: test6 test8 test9

test6:	test6.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test6.o: $(MUX_SRC_DIR)test6.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

test8:	test8.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test8.o: $(MUX_SRC_DIR)test8.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

test9:	test9.o $(LIBRARY)
	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)

test9.o: $(TAG_SRC_DIR)test9.cpp
	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<

install: $(LIBRARY)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
	for i in $(INCLUDE_DIR)/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
	done
	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)/c
	for i in $(INCLUDE_DIR)/c/*.h; do \
		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
	done

# DO NOT DELETE

=== make/mingw32/Makefile ===
# Project: libmatroska
# Makefile created by Dev-C++ 4.9.7.0

ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = ../../src/KaxAttached.o ../../src/KaxAttachments.o ../../src/KaxBlock.o ../../src/KaxBlockData.o ../../src/KaxChapters.o ../../src/KaxCluster.o ../../src/KaxClusterData.o ../../src/KaxContentEncoding.o ../../src/KaxContexts.o ../../src/KaxCues.o ../../src/KaxCuesData.o ../../src/KaxInfo.o ../../src/KaxInfoData.o ../../src/KaxSeekHead.o ../../src/KaxSegment.o ../../src/KaxTag.o ../../src/KaxTags.o ../../src/KaxTagMulti.o ../../src/KaxTrackAudio.o ../../src/KaxTrackEntryData.o ../../src/KaxTracks.o ../../src/KaxTrackVideo.o ../../src/KaxVersion.o ../../src/FileKax.o $(RES)
LIBS = 
INCS = -I"../../../libebml" -I../..
BIN  = libmatroska.a
CXXFLAGS = $(DEBUGFLAGS) $(INCS) 
CFLAGS = $(DEBUGFLAGS) $(INCS) 

.PHONY: all all-before all-after clean clean-custom

all: lib

lib: all-before libmatroska.a all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	ar r $(BIN) $(OBJ)
	ranlib $(BIN)

../../src/KaxAttached.o: ../../src/KaxAttached.cpp
	$(CPP) -c ../../src/KaxAttached.cpp -o ../../src/KaxAttached.o $(CXXFLAGS)

../../src/KaxAttachments.o: ../../src/KaxAttachments.cpp
	$(CPP) -c ../../src/KaxAttachments.cpp -o ../../src/KaxAttachments.o $(CXXFLAGS)

../../src/KaxBlock.o: ../../src/KaxBlock.cpp
	$(CPP) -c ../../src/KaxBlock.cpp -o ../../src/KaxBlock.o $(CXXFLAGS)

../../src/KaxBlockData.o: ../../src/KaxBlockData.cpp
	$(CPP) -c ../../src/KaxBlockData.cpp -o ../../src/KaxBlockData.o $(CXXFLAGS)

../../src/KaxChapters.o: ../../src/KaxChapters.cpp
	$(CPP) -c ../../src/KaxChapters.cpp -o ../../src/KaxChapters.o $(CXXFLAGS)

../../src/KaxCluster.o: ../../src/KaxCluster.cpp
	$(CPP) -c ../../src/KaxCluster.cpp -o ../../src/KaxCluster.o $(CXXFLAGS)

../../src/KaxClusterData.o: ../../src/KaxClusterData.cpp
	$(CPP) -c ../../src/KaxClusterData.cpp -o ../../src/KaxClusterData.o $(CXXFLAGS)

../../src/KaxContentEncoding.o: ../../src/KaxContentEncoding.cpp
	$(CPP) -c ../../src/KaxContentEncoding.cpp -o ../../src/KaxContentEncoding.o $(CXXFLAGS)

../../src/KaxContexts.o: ../../src/KaxContexts.cpp
	$(CPP) -c ../../src/KaxContexts.cpp -o ../../src/KaxContexts.o $(CXXFLAGS)

../../src/KaxCues.o: ../../src/KaxCues.cpp
	$(CPP) -c ../../src/KaxCues.cpp -o ../../src/KaxCues.o $(CXXFLAGS)

../../src/KaxCuesData.o: ../../src/KaxCuesData.cpp
	$(CPP) -c ../../src/KaxCuesData.cpp -o ../../src/KaxCuesData.o $(CXXFLAGS)

../../src/KaxInfo.o: ../../src/KaxInfo.cpp
	$(CPP) -c ../../src/KaxInfo.cpp -o ../../src/KaxInfo.o $(CXXFLAGS)

../../src/KaxInfoData.o: ../../src/KaxInfoData.cpp
	$(CPP) -c ../../src/KaxInfoData.cpp -o ../../src/KaxInfoData.o $(CXXFLAGS)

../../src/KaxSeekHead.o: ../../src/KaxSeekHead.cpp
	$(CPP) -c ../../src/KaxSeekHead.cpp -o ../../src/KaxSeekHead.o $(CXXFLAGS)

../../src/KaxSegment.o: ../../src/KaxSegment.cpp
	$(CPP) -c ../../src/KaxSegment.cpp -o ../../src/KaxSegment.o $(CXXFLAGS)

../../src/KaxTag.o: ../../src/KaxTag.cpp
	$(CPP) -c ../../src/KaxTag.cpp -o ../../src/KaxTag.o $(CXXFLAGS)

../../src/KaxTags.o: ../../src/KaxTags.cpp
	$(CPP) -c ../../src/KaxTags.cpp -o ../../src/KaxTags.o $(CXXFLAGS)

../../src/KaxTagMulti.o: ../../src/KaxTagMulti.cpp
	$(CPP) -c ../../src/KaxTagMulti.cpp -o ../../src/KaxTagMulti.o $(CXXFLAGS)

../../src/KaxTrackAudio.o: ../../src/KaxTrackAudio.cpp
	$(CPP) -c ../../src/KaxTrackAudio.cpp -o ../../src/KaxTrackAudio.o $(CXXFLAGS)

../../src/KaxTrackEntryData.o: ../../src/KaxTrackEntryData.cpp
	$(CPP) -c ../../src/KaxTrackEntryData.cpp -o ../../src/KaxTrackEntryData.o $(CXXFLAGS)

../../src/KaxTracks.o: ../../src/KaxTracks.cpp
	$(CPP) -c ../../src/KaxTracks.cpp -o ../../src/KaxTracks.o $(CXXFLAGS)

../../src/KaxTrackVideo.o: ../../src/KaxTrackVideo.cpp
	$(CPP) -c ../../src/KaxTrackVideo.cpp -o ../../src/KaxTrackVideo.o $(CXXFLAGS)

../../src/KaxVersion.o: ../../src/KaxVersion.cpp
	$(CPP) -c ../../src/KaxVersion.cpp -o ../../src/KaxVersion.o $(CXXFLAGS)

../../src/FileKax.o: ../../src/FileKax.cpp
	$(CPP) -c ../../src/FileKax.cpp -o ../../src/FileKax.o $(CXXFLAGS)

## libmatroska 0.7.3

=== make/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # libmatroska core Makefile (used in cygwin)
-# $Id: Makefile,v 1.4 2003/10/15 20:34:24 mosu Exp $
+# $Id: Makefile 651 2004-07-19 16:43:44Z mosu $
 # Author: Steve Lhomme <robux4 @ users.sf.net>
 # Author: Moritz Bunkus <moritz @ bunkus.org>
 
@@ -10,13 +10,18 @@
 #
 
 # Paths
+# BeOS wants the libs and headers in /boot/home/config
+ifeq (BeOS,$(shell uname -s))
+prefix=/boot/home/config
+else
 prefix=/usr/local
+endif
 libdir=$(prefix)/lib
 includedir=$(prefix)/include/matroska
 
 # Programs
 CXX=g++
-LD=g++
+LD=$(CXX)
 DEP=$(CXX) -MM
 DEPEND = makedepend
 AR = ar rcvu
@@ -36,8 +41,6 @@
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
 endif
-CXXFLAGS=$(DEBUGFLAGS) -Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -D_GNU_SOURCE
-LDFLAGS=-L. -L$(LIBEBML_LIB_DIR)
 
 SRC_DIR=$(CWD)/../../src/
 INCLUDE_DIR=$(CWD)/../../matroska
@@ -64,21 +67,23 @@
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 
+WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -D_GNU_SOURCE \
+		-Wshadow
+COMPILEFLAGS=$(DEBUGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(WARNINGFLAGS) $(INCLUDE)
+LINKFLAGS=-L. -L$(LIBEBML_LIB_DIR) $(LDFLAGS)
 DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}
 
-all: $(LIBRARY) test
+all: $(LIBRARY)
 
 lib library: $(LIBRARY)
 
 # Build rules
 %.o: %$(EXTENSION)
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 $(LIBRARY): $(objects)
 	$(AR) $@ $(objects)
 	$(RANLIB) $@
-#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
-#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}
 
 clean:	cleantest
 	rm -f $(objects)
@@ -96,22 +101,22 @@
 test: test6 test8 test9
 
 test6:	test6.o $(LIBRARY)
-	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)
+	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
 
 test6.o: $(MUX_SRC_DIR)test6.cpp
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 test8:	test8.o $(LIBRARY)
-	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)
+	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
 
 test8.o: $(MUX_SRC_DIR)test8.cpp
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 test9:	test9.o $(LIBRARY)
-	$(LD) -o $@ $(LDFLAGS) $< $(MUX_LIBS)
+	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
 
 test9.o: $(TAG_SRC_DIR)test9.cpp
-	$(CXX) -c $(CXXFLAGS) $(INCLUDE) -o $@ $<
+	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
 install: $(LIBRARY)
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)

=== make/mingw32/Makefile ===
# Project: libmatroska
# Makefile created by Dev-C++ 4.9.7.0

# Normally libmatroska is built as a static library.
# Uncomment this if you want a shared library instead.
# ATTENTION: Your app has to define MATROSKA_DLL !
#SHARED = yes

# Compile with debug information?
#DEBUG = yes

# Where libebml resides
EBML_DIR = ../../../libebml

# Has libebml been compiled as a DLL?
EBML_DLL = yes

#
# Don't change anything below this line.
#
ifeq (yes,$(DEBUG))
DEBUGFLAGS=-g -DDEBUG
endif
CXX  = g++.exe
LD = g++.exe
WINDRES = windres.exe
RES  = 
SRC  = $(wildcard ../../src/*.cpp)
OBJ  = $(patsubst %.cpp,%.o,$(SRC))
ifeq (yes,$(SHARED))
LIBS = libmatroska.dll
CXXFLAGS = -DMATROSKA_DLL
DLLFLAGS = -DMATROSKA_DLL_EXPORT
else
LIBS = libmatroska.a
endif
ifeq (yes,$(EBML_DLL))
CXXFLAGS += -DEBML_DLL
endif
INCS = -I../.. -I$(EBML_DIR)
LDFLAGS = -L. -L$(EBML_DIR)/make/mingw32
CXXFLAGS += $(DEBUGFLAGS) $(INCS) 
TESTS = test6 test8 test9

.PHONY: all all-before all-after clean clean-custom

.cpp.o:
	$(CXX) $(DLLFLAGS) $(CXXFLAGS) -c -o $@ $<

all: lib

lib: $(LIBS)

tests: $(TESTS)

clean:
	rm -f $(OBJ) libmatroska.* *.exe ../../test/mux/*.o ../../test/tags/*.o

libmatroska.a: $(OBJ)
	ar r $@ $(OBJ)
	ranlib $@

libmatroska.dll: $(OBJ)
	$(CXX) -shared -Wl,--export-all -Wl,--out-implib=$@.a -o $@ $(OBJ) \
		$(LDFLAGS) -lebml

# Explicitely list these object files because for them
# MATROSKA_DLL_EXPORT must NOT be defined.
../../test/mux/test6.o: ../../test/mux/test6.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

test6:	../../test/mux/test6.o $(LIBS)
	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml

../../test/mux/test8.o: ../../test/mux/test8.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

test8:	../../test/mux/test8.o $(LIBS)
	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml

../../test/tags/test9.o: ../../test/tags/test9.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $<

test9:	../../test/tags/test9.o $(LIBS)
	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml

depend:
	$(CXX) $(CXXFLAGS) -MM $(SRC) > .depend

#
# include dependency files if they exist
#
ifneq ($(wildcard .depend),)
include .depend
endif

## libmatroska 0.7.5

=== make/cygwin/Makefile ===
# libmatroska core Makefile (used in cygwin)
# $Id: Makefile 640 2004-07-09 21:05:36Z mosu $

# Options
EXTENSION=.cpp
CXXFLAGS=-g -DDEBUG -Wall -Wno-unknown-pragmas -DWIN32 -DNO_NAMESPACE
LDFLAGS=

SRC_DIR=../../src/

# Programs
CXX=g++ -c
LD=g++
DEP=$(CXX) -MM
DEPEND = makedepend
AR = ar rcvu
RANLIB = ranlib

# Librarires
INCLUDE=
LIBS=

# Names
PROGRAM=libmatroska.a

# source-files
sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

# header files; replace .cxx extension with .h
headers:=$(patsubst %$(EXTENSION),%.hpp,$(sources))

# files holding dependency information; replace .cxx extension with .dep
dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))

# object files; replace .cxx extension with .o
objects:=$(patsubst %$(EXTENSION),%.o,$(sources))

DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}

# Build rules
%.o: %$(EXTENSION)
	$(CXX) $(CXXFLAGS) $(INCLUDE) -o $@ $<

$(PROGRAM): $(objects)
	$(AR) $@ $(objects)
	$(RANLIB) $@
#	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)
#	${LD} -o $@ ${LDFLAGS} ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:
	rm -f ${SRC_DIR}$(objects)
	rm -f ${SRC_DIR}$(dependencies)
	rm -f ${SRC_DIR}$(PROGRAM)
	rm -f CORE

# what are the source dependencies
depend: $(sources)
	$(DEPEND) $(DEPENDFLAGS) $(sources)

# DO NOT DELETE

=== make/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # libmatroska core Makefile (used in cygwin)
-# $Id: Makefile 651 2004-07-19 16:43:44Z mosu $
+# $Id: Makefile 1069 2005-02-06 18:12:08Z mosu $
 # Author: Steve Lhomme <robux4 @ users.sf.net>
 # Author: Moritz Bunkus <moritz @ bunkus.org>
 
@@ -22,14 +22,16 @@
 # Programs
 CXX=g++
 LD=$(CXX)
-DEP=$(CXX) -MM
-DEPEND = makedepend
 AR = ar rcvu
 RANLIB = ranlib
 INSTALL = install
 INSTALL_OPTS = -m 644
 INSTALL_OPTS_LIB = -m 644
 INSTALL_DIR_OPTS = -m 755
+
+ifneq (,$(shell $(CXX) -v 2>&1 | tail -n 1 | grep -i mingw))
+$(error Please use the Makefile in ../mingw32)
+endif
 
 CWD=$(shell pwd)
 
@@ -61,9 +63,6 @@
 # header files; replace .cxx extension with .h
 headers:=$(patsubst %$(EXTENSION),%.h,$(sources))
 
-# files holding dependency information; replace .cxx extension with .dep
-dependencies:=$(patsubst %$(EXTENSION),%.dep,$(sources))
-
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 
@@ -71,7 +70,7 @@
 		-Wshadow
 COMPILEFLAGS=$(DEBUGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(WARNINGFLAGS) $(INCLUDE)
 LINKFLAGS=-L. -L$(LIBEBML_LIB_DIR) $(LDFLAGS)
-DEPENDFLAGS  = ${CXXFLAGS} ${INCLUDE}
+DEPENDFLAGS  = $(CXXFLAGS) $(INCLUDE)
 
 all: $(LIBRARY)
 
@@ -87,18 +86,26 @@
 
 clean:	cleantest
 	rm -f $(objects)
-	rm -f $(dependencies)
 	rm -f $(LIBRARY)
 	rm -f CORE
 
 cleantest:
 	rm -f test6 test8 test9 test6.o test8.o test9.o
 
-# what are the source dependencies
-depend: $(sources)
-	$(DEPEND) $(DEPENDFLAGS) $(sources)
+distclean dist-clean: clean
+	rm -f .depend
 
-test: test6 test8 test9
+depend:
+	@echo Calculating dependecies:
+	@rm -f .depend
+	@touch .depend
+	@for i in $(sources); do \
+		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
+		echo '  ' $$i: $$o ; \
+		$(CXX) $(DEPENDFLAGS) -MM -MT $$o $$i >> .depend ; \
+	done
+
+test: test6 test9
 
 test6:	test6.o $(LIBRARY)
 	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
@@ -130,4 +137,8 @@
 		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
 	done
 
+ifneq ($(wildcard .depend),)
+include .depend
+endif
+
 # DO NOT DELETE

=== make/mingw32/test/Makefile ===
# Project: test6
# Makefile created by Dev-C++ 4.9.7.0

CPP  = g++.exe
CC   = gcc.exe
WINDRES = windres.exe
RES  = 
OBJ  = ../../../test/mux/test6.o $(RES)
LIBS =  -L"D:/DEV-CPP/lib" "../libmatroska.a" "../../../../libebml/make/mingw32/libebml.a"
INCS =  -I"D:/DEV-CPP/include"  -I"D:/DEV-CPP/include/c++"  -I"D:/DEV-CPP/include"  -I"D:/Dev-Cpp/include/c++/mingw32"  -I"../../../../libebml/src"  -I"../../../src" 
BIN  = test6.exe
CXXFLAGS = $(INCS) 
CFLAGS = $(INCS) 

.PHONY: all all-before all-after clean clean-custom

all: all-before test6.exe all-after


clean: clean-custom
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(OBJ) -o "test6.exe" $(LIBS) $(CXXFLAGS)

../../../test/mux/test6.o: ../../../test/mux/test6.cpp
	$(CPP) -c ../../../test/mux/test6.cpp -o ../../../test/mux/test6.o $(CXXFLAGS)

## libmatroska 0.8.0

=== make/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # libmatroska core Makefile (used in cygwin)
-# $Id: Makefile 1069 2005-02-06 18:12:08Z mosu $
+# $Id: Makefile 1146 2005-04-19 07:00:00Z mosu $
 # Author: Steve Lhomme <robux4 @ users.sf.net>
 # Author: Moritz Bunkus <moritz @ bunkus.org>
 
@@ -56,6 +56,8 @@
 
 # Names
 LIBRARY=libmatroska.a
+LIBRARY_SO=libmatroska.so
+LIBRARY_SO_VER=libmatroska.so.0
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -66,27 +68,48 @@
 # object files; replace .cxx extension with .o
 objects:=$(patsubst %$(EXTENSION),%.o,$(sources))
 
+objects_so:=$(patsubst %$(EXTENSION),%.lo,$(sources))
+
 WARNINGFLAGS=-Wall -Wno-unknown-pragmas -ansi -fno-gnu-keywords -D_GNU_SOURCE \
 		-Wshadow
 COMPILEFLAGS=$(DEBUGFLAGS) $(CXXFLAGS) $(CPPFLAGS) $(WARNINGFLAGS) $(INCLUDE)
 LINKFLAGS=-L. -L$(LIBEBML_LIB_DIR) $(LDFLAGS)
 DEPENDFLAGS  = $(CXXFLAGS) $(INCLUDE)
 
-all: $(LIBRARY)
+ifeq (Darwin,$(shell uname -s))
+all: staticlib
+else
+all: staticlib sharedlib
+endif
 
-lib library: $(LIBRARY)
+staticlib: $(LIBRARY)
+
+sharedlib: $(LIBRARY_SO)
+
+lib:
+	@echo "Use the 'staticlib', 'sharedlib' or 'all' targets."
+	@false
 
 # Build rules
 %.o: %$(EXTENSION)
 	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
+%.lo: %$(EXTENSION)
+	$(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<
+
 $(LIBRARY): $(objects)
 	$(AR) $@ $(objects)
 	$(RANLIB) $@
 
+$(LIBRARY_SO): $(objects_so)
+	$(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so) -lebml
+	ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)
+
 clean:	cleantest
-	rm -f $(objects)
+	rm -f $(objects) $(objects_so)
 	rm -f $(LIBRARY)
+	rm -f $(LIBRARY_SO)
+	rm -f $(LIBRARY_SO_VER)
 	rm -f CORE
 
 cleantest:
@@ -107,27 +130,31 @@
 
 test: test6 test9
 
-test6:	test6.o $(LIBRARY)
+test6:	test6.o $(LIBRARY) $(LIBRARY_SO)
 	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
 
 test6.o: $(MUX_SRC_DIR)test6.cpp
 	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
-test8:	test8.o $(LIBRARY)
+test8:	test8.o $(LIBRARY) $(LIBRARY_SO)
 	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
 
 test8.o: $(MUX_SRC_DIR)test8.cpp
 	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
-test9:	test9.o $(LIBRARY)
+test9:	test9.o $(LIBRARY) $(LIBRARY_SO)
 	$(LD) -o $@ $(LINKFLAGS) $< $(MUX_LIBS)
 
 test9.o: $(TAG_SRC_DIR)test9.cpp
 	$(CXX) -c $(COMPILEFLAGS) -o $@ $<
 
-install: $(LIBRARY)
-	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
-	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
+ifeq (Darwin,$(shell uname -s))
+install: install_staticlib install_headers
+else
+install: install_staticlib install_sharedlib install_headers
+endif
+
+install_headers:
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(includedir)
 	for i in $(INCLUDE_DIR)/*.h; do \
 		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir) ; \
@@ -137,6 +164,15 @@
 		$(INSTALL) $(INSTALL_OPTS) $$i $(includedir)/c ; \
 	done
 
+install_staticlib: $(LIBRARY)
+	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
+	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY) $(libdir)
+
+install_sharedlib: $(LIBRARY_SO)
+	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
+	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
+	ln -s $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+
 ifneq ($(wildcard .depend),)
 include .depend
 endif

## libmatroska 0.8.1

=== make/linux/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # libmatroska core Makefile (used in cygwin)
-# $Id: Makefile 1146 2005-04-19 07:00:00Z mosu $
+# $Id: Makefile 1254 2006-06-02 14:32:52Z mosu $
 # Author: Steve Lhomme <robux4 @ users.sf.net>
 # Author: Moritz Bunkus <moritz @ bunkus.org>
 
@@ -103,6 +103,7 @@
 
 $(LIBRARY_SO): $(objects_so)
 	$(CXX) -shared -Wl,-soname,$(LIBRARY_SO_VER) -o $(LIBRARY_SO_VER) $(objects_so) -lebml
+	rm -f $(LIBRARY_SO)
 	ln -s $(LIBRARY_SO_VER) $(LIBRARY_SO)
 
 clean:	cleantest
@@ -171,7 +172,7 @@
 install_sharedlib: $(LIBRARY_SO)
 	$(INSTALL) $(INSTALL_DIR_OPTS) -d $(libdir)
 	$(INSTALL) $(INSTALL_OPTS_LIB) $(LIBRARY_SO_VER) $(libdir)
-	ln -s $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
+	ln -fs $(LIBRARY_SO_VER) $(libdir)/$(LIBRARY_SO)
 
 ifneq ($(wildcard .depend),)
 include .depend

=== make/mingw32/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # Normally libmatroska is built as a static library.
 # Uncomment this if you want a shared library instead.
 # ATTENTION: Your app has to define MATROSKA_DLL !
-#SHARED = yes
+SHARED = yes
 
 # Compile with debug information?
 #DEBUG = yes
@@ -54,7 +54,11 @@
 tests: $(TESTS)
 
 clean:
-	rm -f $(OBJ) libmatroska.* *.exe ../../test/mux/*.o ../../test/tags/*.o
+	rm -f $(OBJ) libmatroska.a libmatroska.dll.a libmatroska.dll *.exe \
+		../../test/mux/*.o ../../test/tags/*.o
+
+distclean dist-clean: clean
+	rm -f .depend
 
 libmatroska.a: $(OBJ)
 	ar r $@ $(OBJ)
@@ -85,7 +89,14 @@
 	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml
 
 depend:
-	$(CXX) $(CXXFLAGS) -MM $(SRC) > .depend
+	@echo Calculating dependecies:
+	@rm -f .depend
+	@touch .depend
+	@for i in $(SRC); do \
+		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
+		echo '  ' $$i: $$o ; \
+		$(CXX) $(CXXFLAGS) -MM -MT $$o $$i >> .depend ; \
+	done
 
 #
 # include dependency files if they exist

## libmatroska 1.0.0+repack

=== make/linux/Makefile ===
--- 
+++ 
@@ -20,18 +20,15 @@
 includedir=$(prefix)/include/matroska
 
 # Programs
-CXX=g++
-LD=$(CXX)
-AR = ar rcvu
-RANLIB = ranlib
+CROSS =
+CXX = $(CROSS)g++
+LD = $(CXX)
+AR = $(CROSS)ar
+RANLIB = $(CROSS)ranlib
 INSTALL = install
 INSTALL_OPTS = -m 644
 INSTALL_OPTS_LIB = -m 644
 INSTALL_DIR_OPTS = -m 755
-
-ifneq (,$(shell $(CXX) -v 2>&1 | tail -n 1 | grep -i mingw))
-$(error Please use the Makefile in ../mingw32)
-endif
 
 CWD=$(shell pwd)
 
@@ -57,7 +54,7 @@
 # Names
 LIBRARY=libmatroska.a
 LIBRARY_SO=libmatroska.so
-LIBRARY_SO_VER=libmatroska.so.0
+LIBRARY_SO_VER=libmatroska.so.2
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))
@@ -98,7 +95,7 @@
 	$(CXX) -c $(COMPILEFLAGS) -fPIC -o $@ $<
 
 $(LIBRARY): $(objects)
-	$(AR) $@ $(objects)
+	$(AR) rcvu $@ $(objects)
 	$(RANLIB) $@
 
 $(LIBRARY_SO): $(objects_so)

=== make/mingw32/Makefile ===
--- 
+++ 
@@ -21,31 +21,37 @@
 ifeq (yes,$(DEBUG))
 DEBUGFLAGS=-g -DDEBUG
 endif
-CXX  = g++.exe
-LD = g++.exe
-WINDRES = windres.exe
-RES  = 
+CROSS   =
+CXX     = $(CROSS)g++
+CC      = $(CROSS)gcc
+WINDRES = $(CROSS)windres
+RANLIB  = $(CROSS)ranlib
+AR      = $(CROSS)ar
+RES  =
 SRC  = $(wildcard ../../src/*.cpp)
 OBJ  = $(patsubst %.cpp,%.o,$(SRC))
 ifeq (yes,$(SHARED))
 LIBS = libmatroska.dll
-CXXFLAGS = -DMATROSKA_DLL
+FLAGS = -DMATROSKA_DLL
 DLLFLAGS = -DMATROSKA_DLL_EXPORT
 else
 LIBS = libmatroska.a
 endif
+ifeq (yes,$(SHARED))
 ifeq (yes,$(EBML_DLL))
-CXXFLAGS += -DEBML_DLL
+FLAGS += -DEBML_DLL
 endif
-INCS = -I../.. -I$(EBML_DIR)
+endif
+CWD = $(shell pwd)
+INCS = -I$(CWD)/../.. -I$(EBML_DIR)
 LDFLAGS = -L. -L$(EBML_DIR)/make/mingw32
-CXXFLAGS += $(DEBUGFLAGS) $(INCS) 
+COMPILEFLAGS = $(DEBUGFLAGS) $(INCS) $(FLAGS) $(CXXFLAGS)
 TESTS = test6 test8 test9
 
 .PHONY: all all-before all-after clean clean-custom
 
 .cpp.o:
-	$(CXX) $(DLLFLAGS) $(CXXFLAGS) -c -o $@ $<
+	$(CXX) $(DLLFLAGS) $(COMPILEFLAGS) -c -o $@ $<
 
 all: lib
 
@@ -61,8 +67,8 @@
 	rm -f .depend
 
 libmatroska.a: $(OBJ)
-	ar r $@ $(OBJ)
-	ranlib $@
+	$(AR) rcvu $@ $(OBJ)
+	$(RANLIB) $@
 
 libmatroska.dll: $(OBJ)
 	$(CXX) -shared -Wl,--export-all -Wl,--out-implib=$@.a -o $@ $(OBJ) \
@@ -71,19 +77,19 @@
 # Explicitely list these object files because for them
 # MATROSKA_DLL_EXPORT must NOT be defined.
 ../../test/mux/test6.o: ../../test/mux/test6.cpp
-	$(CXX) $(CXXFLAGS) -c -o $@ $<
+	$(CXX) $(COMPILEFLAGS) -c -o $@ $<
 
 test6:	../../test/mux/test6.o $(LIBS)
 	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml
 
 ../../test/mux/test8.o: ../../test/mux/test8.cpp
-	$(CXX) $(CXXFLAGS) -c -o $@ $<
+	$(CXX) $(COMPILEFLAGS) -c -o $@ $<
 
 test8:	../../test/mux/test8.o $(LIBS)
 	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml
 
 ../../test/tags/test9.o: ../../test/tags/test9.cpp
-	$(CXX) $(CXXFLAGS) -c -o $@ $<
+	$(CXX) $(COMPILEFLAGS) -c -o $@ $<
 
 test9:	../../test/tags/test9.o $(LIBS)
 	$(LD) -o $@ $(LDFLAGS) $< -lmatroska -lebml
@@ -95,7 +101,7 @@
 	@for i in $(SRC); do \
 		o="`echo $$i | sed -e 's/\.c$$/.o/' -e 's/\.cpp$$/.o/'`" ; \
 		echo '  ' $$i: $$o ; \
-		$(CXX) $(CXXFLAGS) -MM -MT $$o $$i >> .depend ; \
+		$(CXX) $(COMPILEFLAGS) -MM -MT $$o $$i >> .depend ; \
 	done
 
 #

## libmatroska 1.1.0+dfsg

=== make/linux/Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 # Names
 LIBRARY=libmatroska.a
 LIBRARY_SO=libmatroska.so
-LIBRARY_SO_VER=libmatroska.so.2
+LIBRARY_SO_VER=libmatroska.so.3
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

=== debian/changelog ===
libmatroska (1.1.0+dfsg-0ubuntu2) natty; urgency=low

  * debian/control:
   - Build-depends on libebml-dev (>= 1.2.0) to get the lastest version
     (LP: #722383)

 -- Julien Lavergne <gilir@ubuntu.com>  Tue, 22 Feb 2011 20:37:10 +0100

libmatroska (1.1.0+dfsg-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #722382)
  * debian/source/format & debian/rules:
   - Convert to source format 3.0.
  * debian/control:
   - Remove quilt build-depends.
  * Bump SONAME to 3.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 21 Feb 2011 01:33:10 +0100

libmatroska (1.0.0+repack-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Refreshed 010_propagate_cflags.diff.
  * debian/control:
    - Added misc:Depends.
    - Renamed libmatroska0 to libmatroska2 to match soname.
    - Bumped Standards-Version to 3.8.4.
  * debian/copyright:
    - Updated FSF address.
  * debian/rules:
    - Do not ignore make error.

 -- Maia Kozheva <sikon@ubuntu.com>  Sun, 06 Jun 2010 04:40:32 +0700

libmatroska (0.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/copyright: update with proper up to date informations
    (Closes: 465251).
  * debian/control: bump Standards-Version to 3.7.3.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 14:07:52 +0100

libmatroska (0.8.1-1) unstable; urgency=low

  * New upstream release.
  * We now distribute shared libraries.

  * debian/rules:
    + No longer build _pic.a library.
  * debian/control:
    + Depend and build-depend on libebml-dev (>= 0.7.7-3).
  * debian/compat:
    + Set compat to 5.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 19:34:20 +0100

libmatroska (0.8.0-3) unstable; urgency=low

  * debian/control:
    + Set pkg-multimedia-maintainers as main maintainer.
    + Added Vcs fields.
    + Set policy to 3.7.2.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 15 Mar 2007 16:57:59 +0100

libmatroska (0.8.0-2) unstable; urgency=low

  * Switched patch system to quilt.
  * debian/control:
    + Build-depend on quilt.
    + Build-depend on debhelper (>= 4.0).
    + Added Section: devel for the source.
  * debian/compat:
    + Set level to 4.

  * 010_propagate_cflags.diff: (new patch from old diff.gz) propagate custom
    CXXFLAGS to the build process.

  * 020_missing_timestamp.diff: (new patch from old diff.gz) fix for
    compilers that do not have __TIMESTAMP__.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 30 Mar 2006 17:14:29 +0200

libmatroska (0.8.0-1) unstable; urgency=low

  * New upstream version.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 30 Oct 2005 15:57:42 +0100

libmatroska (0.7.7-1) unstable; urgency=low

  * New upstream version.
  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 15 Jul 2005 13:17:57 +0200

libmatroska (0.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Mar 2005 18:28:04 +0100

libmatroska (0.7.4-1) unstable; urgency=low

  * New upstream release (Closes: #288717, #290688).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Mar 2005 17:33:06 +0100

libmatroska (0.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #271898).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 21 Sep 2004 13:42:41 +0200

libmatroska (0.7.0-2) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.1.1.
    + Build-depend on libebml (>= 0.7.0-2).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jul 2004 13:12:25 +0200

libmatroska (0.7.0-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 26 Apr 2004 22:29:48 +0200

libmatroska (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  6 Jan 2004 21:21:51 +0100

libmatroska (0.6.1-2) unstable; urgency=low

  * Added a __TIMESTAMP__ define to KaxConfig.h to avoid compilation issues.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  3 Dec 2003 11:44:36 +0100

libmatroska (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  4 Nov 2003 11:27:00 +0100

libmatroska (0.5.2-2) unstable; urgency=low

  * Fixed upstream's braindamaged use of DEB_BUILD_OPTIONS (Closes: #215774).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 15 Oct 2003 09:00:42 +0200

libmatroska (0.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #214767).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 13 Oct 2003 10:40:30 +0200

libmatroska (0.5.0-4) unstable; urgency=low

  * Used "cvs2cl --utc --no-wrap -w --stdout -g -z9" to generate an upstream
    changelog (Closes: #208597).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  5 Sep 2003 09:26:58 +0200

libmatroska (0.5.0-3) unstable; urgency=low

  * make/linux/Makefile:
    + Fixed $(CUSTOMFLAGS) so that the PIC lib gets built.
  * debian/control:
    + Set policy to 3.6.1.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  2 Sep 2003 21:12:08 +0200

libmatroska (0.5.0-2) unstable; urgency=low

  * debian/control:
    + Downgraded debhelper build-dependency to allow easier backporting.
    + Enhanced the long description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu, 14 Aug 2003 11:06:11 +0200

libmatroska (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Set policy to 3.6.0. No changes required.
    + Set debhelper build-dependency to (>= 4.0) because of debian/compat.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  7 Aug 2003 14:54:50 +0200

libmatroska (0.4.4+cvs.20030622-1) unstable; urgency=low

  * First Debian release (Closes: #198445).
  * debian/control:
    + Set policy to 3.5.10.
    + Removed leading "an" from upstream's description.
  * debian/rules:


=== debian/control ===
Source: libmatroska
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper (>= 5.0), libebml-dev (>= 1.2.0)
Standards-Version: 3.8.4
XS-Vcs-Svn: svn://svn.debian.org/pkg-multimedia/unstable/libmatroska
XS-Vcs-Browser: http://svn.debian.org/wsvn/pkg-multimedia/unstable/libmatroska/

Package: libmatroska3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extensible open standard audio/video container format
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.
 .
 This package contains the shared library needed to run applications that
 use libmatroska.

Package: libmatroska-dev
Section: libdevel
Architecture: any
Depends: libebml-dev (>= 1.0.0), libmatroska3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: extensible open standard audio/video container format - development files
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libmatroska.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS = -O0
else
CFLAGS = -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C make/linux LIBEBML_INCLUDE_DIR=/usr/include/ebml CUSTOMFLAGS="$(CFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/dirs debian/docs debian/*.files
	$(MAKE) -C make/linux clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C make/linux prefix=$(CURDIR)/debian/tmp/usr install
	dh_install -si --fail-missing --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libmatroska 1.2.0

=== make/linux/Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 # Names
 LIBRARY=libmatroska.a
 LIBRARY_SO=libmatroska.so
-LIBRARY_SO_VER=libmatroska.so.3
+LIBRARY_SO_VER=libmatroska.so.4
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

=== debian/changelog ===
libmatroska (1.2.0-1) unstable; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * Remove myself from Uploaders.

  [ Alessio Treglia ]
  * New upstream release. (Closes: #631804)
  * SONAME bump: libmatroska3 -> libmatroska4.
  * Correct maintainer's name.
  * Remove useless shlibs:Depends macrom from -DEV's Depends field.
  * Remove useless debian/dirs file.
  * Remove useless debian/libmatroska-dev.{dirs,files}.
  * Remove useless debian/docs file.
  * Bump build-dep on libebml >= 1.2.1.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jun 2011 15:20:29 +0200

libmatroska (1.1.0-2) unstable; urgency=low

  * Team upload.
  * upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Mar 2011 18:03:18 +0100

libmatroska (1.1.0-1) experimental; urgency=low

  * New upstream version
  * debian/control,debian/libmatroska3.install:
    + bump library soname to libmatroska3
  * debian/control:
    + bump dependency on libebml >= 1.2.0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 17 Feb 2011 22:36:44 +0100

libmatroska (1.0.0-1) experimental; urgency=low

  * Imported Upstream version 1.0.0 (Closes: #591287).
  * Add myself to uploaders.
  * Add debian/watch file.
  * Bump SONAME to libmatroska2.
  * Remove unnecessary files from debian/ directory.
  * Bump libebml-dev requirements to (>= 1.0.0).
  * Convert Debian packaging to dh7.
  * Wrap lines in debian/control and add ${misc:Depends}.
  * Update Vcs-* fields.
  * Add Homepage field.
  * Clarify license of the Debian packaging in debian/copyright.
  * Fix duplicate-short-description.
  * Fix old-fsf-address-in-copyright-file.
  * Fix spelling-error-in-copyright.
  * Omit building test for the time being. They fail if compiled without
    -finput-charset=ISO8859-15 and have not been built before anyway.
  * Drop all patches, not needed anymore.
  * Convert to Source Format 3.0 (quilt).
  * Bump Standards-Version to 3.9.1.
  * Add debian/gbp.conf file.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 02 Aug 2010 11:43:56 +0200

=== debian/control ===
Source: libmatroska
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 libebml-dev (>= 1.2.1)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/libmatroska.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmatroska.git;a=summary
Homepage: http://www.matroska.org/

Package: libmatroska4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: extensible open standard audio/video container format (shared library)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.
 .
 This package contains the shared library needed to run applications that
 use libmatroska.

Package: libmatroska-dev
Section: libdevel
Architecture: any
Depends: libmatroska4 (= ${binary:Version}),
 libebml-dev (>= 1.2.0),
 ${misc:Depends}
Description: extensible open standard audio/video container format (development files)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensability
 are gained without breaking file support in old parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libmatroska.

## libmatroska 1.3.0

=== make/linux/Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 # Names
 LIBRARY=libmatroska.a
 LIBRARY_SO=libmatroska.so
-LIBRARY_SO_VER=libmatroska.so.4
+LIBRARY_SO_VER=libmatroska.so.5
 
 # source-files
 sources:=$(wildcard ${SRC_DIR}*$(EXTENSION))

=== debian/changelog ===
libmatroska (1.3.0-2+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2015-8792: Fix invalid memory access issue.
    (patch taken from the Squeeze LTS version)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 21 Mar 2016 22:03:02 +0100

libmatroska (1.3.0-2) unstable; urgency=low

  * debian/control: uploader's email address changed
  * debian/: Multi-Arch support added

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Tue, 14 Feb 2012 15:00:29 +0100

libmatroska (1.3.0-1) unstable; urgency=low

  * New upstream release

 -- Matteo F. Vescovi <m.vescovi@revese.it>  Wed, 05 Oct 2011 13:53:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,25 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
- Rico Tzschichholz <ricotz@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
- libebml-dev (>= 1.2.1)
+Uploaders:
+ Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
+ Rico Tzschichholz <ricotz@ubuntu.com>,
+ Matteo F. Vescovi <mfv.debian@gmail.com>
+Build-Depends:
+ debhelper (>= 9),
+ libebml-dev (>= 1.2.0)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/pkg-multimedia/libmatroska.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmatroska.git;a=summary
+Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmatroska.git
 Homepage: http://www.matroska.org/
 
-Package: libmatroska4
+Package: libmatroska5
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
  ${misc:Depends}
 Description: extensible open standard audio/video container format (shared library)
  Matroska is aiming to become the standard of Multimedia
@@ -29,7 +35,9 @@
 Package: libmatroska-dev
 Section: libdevel
 Architecture: any
-Depends: libmatroska4 (= ${binary:Version}),
+Multi-Arch: same
+Depends:
+ libmatroska5 (= ${binary:Version}),
  libebml-dev (>= 1.2.0),
  ${misc:Depends}
 Description: extensible open standard audio/video container format (development files)

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --sourcedirectory=make/linux

override_dh_auto_install:
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr \
		libdir=$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
	dh_auto_test --no-act

## libmatroska 1.4.1

=== debian/changelog ===
libmatroska (1.4.1-2+deb8u1build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 29 Mar 2016 09:39:24 -0500

libmatroska (1.4.1-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Wheezy LTS Team. 
  * CVE-2015-8792: Fix invalid memory access issue.
    (patch taken from the squeeze version)
 
 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 22 Mar 2016 18:03:02 +0100

libmatroska (1.4.1-2) unstable; urgency=low

  * Upload to unstable (Closes: #720181)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Fri, 08 Nov 2013 12:09:16 +0100

libmatroska (1.4.1-1) experimental; urgency=low

  * New upstream release
    - debian/rules: build install path updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 23 Sep 2013 15:08:01 +0200

libmatroska (1.4.0-1) experimental; urgency=low

  * New upstream release
    - debian/: SONAME bump libmatroska5 => libmatroska6
    - debian/control: libebml-dev bump 1.2.0 => 1.3.0
  * debian/control: Standards-Version bumped to 3.9.4
  * debian/control: Vcs-* URLs updated

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Sat, 29 Jun 2013 15:06:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
  Matteo F. Vescovi <mfv.debian@gmail.com>
 Build-Depends:
  debhelper (>= 9),
- libebml-dev (>= 1.2.0)
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/pkg-multimedia/libmatroska.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/libmatroska.git
+ libebml-dev (>= 1.3.0)
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmatroska.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-multimedia/libmatroska.git
 Homepage: http://www.matroska.org/
 
-Package: libmatroska5
+Package: libmatroska6
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -26,7 +26,7 @@
  Matroska is aiming to become the standard of Multimedia
  Container Formats one day. It is based on EBML (Extensible Binary
  Meta Language), a kind of binary version of XML. This way the
- significant advantages in terms of future format extensability
+ significant advantages in terms of future format extensibility
  are gained without breaking file support in old parsers.
  .
  This package contains the shared library needed to run applications that
@@ -37,14 +37,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libmatroska5 (= ${binary:Version}),
- libebml-dev (>= 1.2.0),
+ libmatroska6 (= ${binary:Version}),
+ libebml-dev (>= 1.3.0),
  ${misc:Depends}
 Description: extensible open standard audio/video container format (development files)
  Matroska is aiming to become the standard of Multimedia
  Container Formats one day. It is based on EBML (Extensible Binary
  Meta Language), a kind of binary version of XML. This way the
- significant advantages in terms of future format extensability
+ significant advantages in terms of future format extensibility
  are gained without breaking file support in old parsers.
  .
  This package contains the header files and static libraries needed to

=== debian/watch ===
version=3
http://dl.matroska.org/downloads/libmatroska/libmatroska-(.*)\.tar\.bz2

## libmatroska 1.4.2

=== debian/changelog ===
libmatroska (1.4.2-1) experimental; urgency=medium

  * New upstream release
    - debian/control: libebml deps bump 1.3.0 => 1.3.1
  * debian/copyright: DEP-5 compliance added
  * debian/rules: source directory parameter dropped
  * debian/rules: dh_auto_install stanza dropped
  * debian/control: pkg-config b-dep added
  * debian/control: S-V bump 3.9.4 => 3.9.6 (no changes needed)
  * debian/control: Uploader e-mail address updated

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 07 Jan 2015 18:09:20 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
- Matteo F. Vescovi <mfv.debian@gmail.com>
+ Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper (>= 9),
- libebml-dev (>= 1.3.0)
-Standards-Version: 3.9.4
+ libebml-dev (>= 1.3.1),
+ pkg-config
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmatroska.git
 Vcs-Browser: http://anonscm.debian.org/?p=pkg-multimedia/libmatroska.git
 Homepage: http://www.matroska.org/
@@ -38,7 +39,7 @@
 Multi-Arch: same
 Depends:
  libmatroska6 (= ${binary:Version}),
- libebml-dev (>= 1.3.0),
+ libebml-dev (>= 1.3.1),
  ${misc:Depends}
 Description: extensible open standard audio/video container format (development files)
  Matroska is aiming to become the standard of Multimedia

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	dh_auto_test --no-act
